-- Restricted fields:
-- All logic below corresponds to full access. For limited acess, the following fields must be set to NULL:
--		Ejendomsvurdering.bebyggelseProcent,
--		Ejendomsvurdering.ejerlejlighedKode,
--		Ejendomsvurdering.grundværdiOmråde,
--		Ejendomsvurdering.meddelelsestypeKode,
--		Ejendomsvurdering.pgf4KodeVurdering,
--		Ejendomsvurdering.pgf4KodeVurderingOphøjet,
--		Ejendomsvurdering.klageType,
--		Ejendomsvurdering.omvurderingGrund1Kode,
--		Ejendomsvurdering.omvurderingGrund2Kode,
--		Loftansættelse.reguleringssatsB

-- [TIME_SNIPPET]
-- =
(@AjourfoeringDatoFra = NULL OR @AjourfoeringDatoFra <= EJENDOMSVURDERING.ajourføringDato) 
AND (@AjourfoeringDatoTil = NULL OR @AjourfoeringDatoTil >= EJENDOMSVURDERING.ajourføringDato)
AND (@AendringDatoFra = NULL OR @AendringDatoFra <= EJENDOMSVURDERING.aendringDato) 
AND (@AendringDatoTil = NULL OR @AendringDatoTil >= EJENDOMSVURDERING.aendringDato)


--EjendomsvurderingList    [TABEL] = EJENDOMSVURDERING
SELECT * FROM EJENDOMSVURDERING
WHERE
	[TIME_SNIPPET]

--VurderingsejendomList    [TABEL] = VURDERINGSEJENDOM
SELECT * FROM VURDERINGSEJENDOM
WHERE
	VURejendomsid IN
	(
		SELECT fkVurderingsejendomID FROM EJENDOMSVURDERING
		WHERE
			[TIME_SNIPPET]
		UNION

		SELECT fkModerejendomID FROM EJENDOMSVURDERING
		WHERE
			[TIME_SNIPPET]
		UNION

		SELECT fkVurderetUnderID FROM EJENDOMSVURDERING
		WHERE
			[TIME_SNIPPET]	
	)

--FradragForForbedringList    [TABEL] = FRADRAGFORFORBEDRING
SELECT * FROM FRADRAGFORFORBEDRING
WHERE
	fkFradragForForbedringOverordnetID IN
	(
		SELECT FradragForForbedringOverordnetID FROM FradragForForbedringOverordnet
		WHERE
			fkEjendomsvurderingID IN 
			(
				SELECT ID FROM EJENDOMSVURDERING
				WHERE
					[TIME_SNIPPET]
			)		
	)

--LoftFradragForForbedringList   [TABEL] = LOFTFRADRAGFORFORBEDRING
SELECT * FROM LOFTFRADRAGFORFORBEDRING
WHERE
	fkLoftFradragForForbedringOverordnetID IN
	(
		SELECT LoftFradragForForbedringerOverordnetID
		FROM LOFTFRADRAGFORFORBEDRINGOVERORDNET
		WHERE
			fkEjendomsvurderingID IN 
			(
				SELECT ID FROM EJENDOMSVURDERING
				WHERE
					[TIME_SNIPPET]
			)		
	)

--LoftFradragForForbedringOverordnetList [TABEL] = LOFTFRADRAGFORFORBEDRINGOVERORDNET
SELECT * FROM LOFTFRADRAGFORFORBEDRINGOVERORDNET
WHERE
	fkLoftansaettelseID IN
	(
		SELECT LoftansættelseID FROM LOFTANSÆTTELSE
		WHERE
			fkEjendomsvurderingID IN 
			(
				SELECT ID FROM EJENDOMSVURDERING
				WHERE
					[TIME_SNIPPET]
			)		
	)

--FradragForForbedringOverordnetList [TABEL] = FRADRAGFORFORBEDRINGOVERORDNET
--FordelingList                      [TABEL] = FORDELING
--FritagelseList                     [TABEL] = FRITAGELSE
--LoftansættelseList                 [TABEL] = LOFTANSÆTTELSE
--GrundværdispecifikationList        [TABEL] = GRUNDVÆRDISPECIFIKATION
SELECT * FROM [TABEL]
WHERE fkEjendomsvurderingID IN 
(
	SELECT ID FROM EJENDOMSVURDERING
	WHERE
		[TIME_SNIPPET]
)

--Ejendomsvurdering_BFEList
SELECT * FROM BFEKRYDSREFERENCE
WHERE
	fkEjendomsvurderingID IN
	(
		SELECT Id FROM EJENDOMSVURDERING
		WHERE
			[TIME_LOGIC]
	)

--Ejendomsvurdering_StyringskodeList
SELECT * FROM STYRINGSKODEKRYDSFERENCE
WHERE
	fkEjendomsvurderingID IN
	(
		SELECT Id FROM EJENDOMSVURDERING
		WHERE
			[TIME_LOGIC]
	)
